"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7700>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7790>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7820>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d78b0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7940>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d79d0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7a60>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7af0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7b80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7c10>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7ca0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7d30>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7dc0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7e50>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7ee0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0d7f70>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de040>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de0d0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de160>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de1f0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de280>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de310>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de3a0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de430>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de550>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de4c0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de5e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de670>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de700>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de790>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de820>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de8b0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de940>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0de9d0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0dea60>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0deaf0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0deb80>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0dec10>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0deca0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0ded30>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0dedc0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0dee50>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0deee0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0def70>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3040>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e30d0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3160>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e31f0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3280>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3310>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e33a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3430>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e34c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3550>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e35e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3670>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3700>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3790>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3820>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e38b0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3940>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e39d0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3a60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3af0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3b80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3d30>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3c10>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3dc0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3e50>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3ee0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e3f70>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e6040>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e6160>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e60d0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e61f0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e6280>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e6310>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e6430>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e63a0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e64c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e6550>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e65e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e6670>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e6700>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f24bf0e6790>)]
name: str = 'fr_HOCCN'
